; Experimental external level for Phoenix 1.00 - data file
; This software is in the public domain.  There is no warranty.
; Last updated February 25, 2000.
; Programmed by Patrick Davidson (pad@calc.org)

;------- Identification

        .db     "Galaxian"

;------- Table of levels

level_table:
        .dw     lev1
        .dw     lev2
        .dw     lev3
        .dw     _shop
        .dw     lev4
        .dw     levx
        .dw     lev5
        .dw     lev6
        .dw     _shop
        .dw     lev7
        .dw     levx
        .dw     lev8
        .dw     lev9
        .dw     _shop
        .dw     lev10
        .dw     levx
        .dw     lev11
        .dw     levo
        .dw     lev12
        .dw     _shop
        .dw     levo
        .dw     levpad
        .dw     levsb
        .dw     _game_finished

;------- Level 1

lev1:
        .db     15
        .db     13,11
        .dw     spacing
        .db     13,1
        .dw     swing_type
        .db     1,5,3,18,10
        .dw     img_enemy_1
        .db     1,5,3,24,19
        .dw     img_enemy_1
        .db     1,5,3,18,28
        .dw     img_enemy_1
        .DB     0

;------- Level 2

lev2:
        .db     15
        .db     1,5,3,21,10
        .dw     img_enemy_1
        .db     1,5,3,21,19
        .dw     img_enemy_1
        .db     1,5,3,21,28
        .dw     img_enemy_1
        .DB     0

;------- Level 3

lev3:
        .db     16
        .db     1,5,3,21,10
        .dw     img_enemy_1
        .db     1,5,3,21,19
        .dw     img_enemy_1
        .db     1,5,3,21,28
        .dw     img_enemy_1
        .db     4
        .dw     boss_data
        .db     22
        .dw     boss1l,is_boss1l
        .db     22
        .dw     boss1r,is_boss1r
        .DB     0

boss_data:
        .db     12                      ; e_type
        .db     0                       ; e_phase
        .db     32                      ; e_timer
        .db     90                      ; e_x
        .db     16                      ; e_w
        .db     1                       ; e_y
        .db     10                      ; e_h
        .db     20                      ; e_pwr

;------- Level 4

lev4:
        .db     17
        .db     1,6,3,18,10
        .dw     img_enemy_2
        .db     1,5,3,24,19
        .dw     img_enemy_1
        .db     1,6,3,18,28
        .dw     img_enemy_1
        .DB     0

;------- Level of Xs

levx:
        .db     10
        .db     7,10
        .db     22
        .dw     enemy_warped,is_bounce
        .db     0

;------- Level of Os

levo:   .db     10
        .db     10,10,30
        .db     0

;------- Level 5

lev5:
        .db     18
        .db     1,1,3,75,21
        .dw     img_enemy_2
        .db     1,1,3,73,26
        .dw     img_enemy_2
        .db     1,1,3,67,31
        .dw     img_enemy_2
        .db     1,1,3,59,35
        .dw     img_enemy_2
        .db     1,1,3,50,36
        .dw     img_enemy_2
        .db     1,1,3,39,36
        .dw     img_enemy_2
        .db     1,1,3,30,34
        .dw     img_enemy_2
        .db     1,1,3,22,31
        .dw     img_enemy_2
        .db     1,1,3,16,26
        .dw     img_enemy_2
        .db     1,1,3,15,20
        .dw     img_enemy_2
        .db     1,1,3,16,15
        .dw     img_enemy_2
        .db     1,1,3,22,10
        .dw     img_enemy_2
        .db     1,1,3,30,7
        .dw     img_enemy_2
        .db     1,1,3,39,5
        .dw     img_enemy_2
        .db     1,1,3,50,5
        .dw     img_enemy_2
        .db     1,1,3,59,7
        .dw     img_enemy_2
        .db     1,1,3,67,10
        .dw     img_enemy_2
        .db     1,1,3,73,15
        .dw     img_enemy_2
        .DB     0

;------- Level 6

lev6:
        .db     16
        .db     1,5,3,21,10
        .dw     img_enemy_2
        .db     1,5,3,21,19
        .dw     img_enemy_2
        .db     1,5,3,21,28
        .dw     img_enemy_2
        .db     4
        .dw     boss_data
        .db     22
        .dw     boss2l,is_boss1l
        .db     22
        .dw     boss2r,is_boss1r
        .DB     0

;------- PAD level

levpad:
        .db     18
        .db     13,0
        .dw     swing_type
        .db     13,15
        .dw     spacing
        .db     1,6,3,18,0
        .dw     img_enemy_p
        .db     1,6,3,18,11
        .dw     img_enemy_a
        .db     1,6,3,18,22
        .dw     img_enemy_d
        .db     0

;------- Level 7

lev7:
        .db     17
        .db     1,6,3,18,10
        .dw     img_enemy_3
        .db     1,5,3,24,19
        .dw     img_enemy_1
        .db     1,6,3,18,28
        .dw     img_enemy_1
        .DB     0

;------- Level 8

lev8:   .db     15
        .db     13,25
        .dw     spacing
        .db     1,3,3,31,4
        .dw     img_enemy_3
        .db     1,3,3,31,11
        .dw     img_enemy_3
        .db     1,3,3,31,18
        .dw     img_enemy_3
        .db     1,3,3,31,25
        .dw     img_enemy_3
        .db     1,3,3,31,32
        .dw     img_enemy_3
        .db     0

;------- Level 9

lev9:
        .db     16
        .db     13,11
        .dw     spacing
        .db     1,5,3,21,10
        .dw     img_enemy_3
        .db     1,5,3,21,19
        .dw     img_enemy_3
        .db     1,5,3,21,28
        .dw     img_enemy_3
        .db     4
        .dw     boss_data
        .DB     0

;------- Level 10

lev10:
        .db     17
        .db     1,6,3,18,10
        .dw     img_enemy_4
        .db     1,5,3,24,19
        .dw     img_enemy_1
        .db     1,6,3,18,28
        .dw     img_enemy_1
        .DB     0

;------- Level 11

lev11:   .db     15
        .db     13,25
        .dw     spacing
        .db     1,3,3,31,4
        .dw     img_enemy_3
        .db     1,3,3,31,11
        .dw     img_enemy_4
        .db     1,3,3,31,18
        .dw     img_enemy_4
        .db     1,3,3,31,25
        .dw     img_enemy_4
        .db     1,3,3,31,32
        .dw     img_enemy_4
        .db     0

;------- Level 12

lev12:
        .db     16
        .db     13,11
        .dw     spacing
        .db     1,5,3,21,10
        .dw     img_enemy_4
        .db     1,5,3,21,19
        .dw     img_enemy_4
        .db     1,5,3,21,28
        .dw     img_enemy_4
        .db     4
        .dw     boss_data
        .DB     0

;------- Superboss level

levsb:
        .db     17
        .db     13,11
        .dw     spacing
        .db     1,5,3,21,10
        .dw     img_enemy_4
        .db     1,5,3,21,19
        .dw     img_enemy_4
        .db     1,5,3,21,28
        .dw     img_enemy_4
        .db     4
        .dw     sbossl_data
        .db     4
        .dw     sbossr_data
        .db     22
        .dw     sboss1,is_boss2l
        .db     22
        .dw     sboss2,is_boss2r
        .db     22
        .dw     sboss3,is_boss1l
        .db     22
        .dw     sboss4,is_boss1r
        .DB     0

sbossl_data:
        .db     18                      ; e_type
        .db     0                       ; e_phase
        .db     31                      ; e_timer
        .db     82                      ; e_x
        .db     16                      ; e_w
        .db     1                       ; e_y
        .db     10                      ; e_h
        .db     100                     ; e_pwr

sbossr_data:
        .db     12
        .db     0
        .db     31
        .db     98
        .db     16
        .db     1
        .db     10
        .db     100

;------- Shop level

_shop:  .db     0,19

;------- End-of-game level

_game_finished:
        .db     0,16

;------- Images

        .db     1
img_enemy_1:
        .db     6,6     
        .db     %10000100
        .db     %10000100
        .db     %11111100
        .DB     %11111100
        .DB     %01111000
        .DB     %00110000

        .db     12
img_enemy_p:
        .db     8,9
        .db     %11111110
        .db     %11111111
        .db     %11000011
        .db     %11000011
        .db     %11111110
        .db     %11111100
        .db     %11000000
        .db     %11000000
        .db     %11000000

        .db     8
img_enemy_a:
        .db     8,9
        .db     %01111110
        .db     %11111111
        .db     %11000011
        .db     %11000011
        .db     %11111111
        .db     %11111111
        .db     %11000011
        .db     %11000011
        .db     %11000011

        .db     4
img_enemy_d:
        .db     8,9
        .db     %11111100
        .db     %11111110
        .db     %11000111
        .db     %11000011
        .db     %11000011 
        .db     %11000011
        .db     %11000111
        .db     %11111110
        .db     %11111100

boss1l: .db     8,8
        .db     %10000000
        .db     %11000000
        .db     %10111111
        .db     %10000001
        .db     %10000001
        .db     %01000001
        .db     %00100001
        .db     %00011111

boss1r: .db     8,8
        .db     %00000001
        .db     %00000011
        .db     %11111111
        .db     %10000001
        .db     %10000001
        .db     %10000010
        .db     %10000100
        .db     %11111000

boss2l: .db     8,8
        .db     %11111111
        .db     %11100000
        .db     %11100000
        .db     %11100000
        .db     %11100000
        .db     %11110000
        .db     %11101000
        .db     %01000111

boss2r: .db     8,8
        .db     %11111111
        .db     %00000111
        .db     %00000111
        .db     %00000111
        .db     %00000111
        .db     %00001111
        .db     %00010111
        .db     %11100010

enemy_warped:
        .db     7,7
        .db     %11000110
        .db     %11101110
        .db     %01111100
        .db     %00111000
        .db     %01111100
        .db     %11101110
        .db     %11000110

        .db     2
img_enemy_2:
        .db     6,7
        .db     %10000100
        .db     %11001100
        .db     %11111100
        .db     %10000100
        .db     %10000100
        .db     %01001000
        .db     %00110000

        .db     3
img_enemy_3:
        .db     6,5
        .db     %10000100
        .db     %11111100
        .DB     %10000100
        .DB     %01001000
        .db     %00110000

        .db     4
img_enemy_4:
        .db     7,5
        .db     %10000010
        .db     %11000110
        .db     %10101010
        .db     %10010010
        .db     %10000010

sboss1: .db     8,8
        .db     %11111111
        .db     %10101000
        .db     %10101001
        .db     %10101000
        .db     %10101000
        .db     %10001111
        .db     %01010000
        .db     %00100000

sboss2: .db     8,8
        .db     %11111111
        .db     %00000000
        .db     %01010101
        .db     %00000000
        .db     %00000111
        .db     %11000010
        .db     %00100001
        .db     %00011111

sboss3: .db     8,8
        .db     %11111111
        .db     %00000000
        .db     %01010101
        .db     %00000000
        .db     %11000000
        .db     %10000111
        .db     %00001000
        .db     %11110000

sboss4: .db     8,8
        .db     %11111110
        .db     %00101010
        .db     %00101010
        .db     %00101010
        .db     %00101010
        .db     %11100010
        .db     %00010100
        .db     %00001000
